%define		_class		XML
%define		_subclass	XUL
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.9.1
Release:	%mkrel 5
Summary:	Class to build Mozilla XUL applications
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/XML_XUL/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear  >= 1.4.0b1
Requires:	php-pear-XML_Util2 >= 0.1.0
Requires:	php-pear-XML_Parser2 >= 0.1.0
BuildArch:	noarch


%description
The XML User Interface Language (XUL) is a markup language for describing
user interfaces.
With XUL you can create rich, sophisticated cross-platform web applications
easily.
XML_XUL provides a API similar to DOM to create XUL applications. There is
a PHP object for each XUL element, and the more complex widgets like grids,
trees and tabboxes can easily be created with these objects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_XUL.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_XUL.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_XUL
fi

%files
%doc docs/XML_XUL/*
%{peardir}/*
%{xmldir}/XML_XUL.xml

%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.9.1-5.mga6
+ Revision: 941946
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 743944
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 687529
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 528339
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.9.1-1.mga4
+ Revision: 444234
- upgrade to version 0.9.1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.8.3-6.mga3
+ Revision: 377498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 spuhler <spuhler> 0.8.3-5.mga1
+ Revision: 44488
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_XUL


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-5mdv2011.0
+ Revision: 613803
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.3-4mdv2010.1
+ Revision: 464973
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8.3-3mdv2010.0
+ Revision: 441772
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-2mdv2009.0
+ Revision: 237176
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-1mdv2008.0
+ Revision: 15758
- 0.8.3


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-7mdv2007.0
+ Revision: 82968
- Import php-pear-XML_XUL

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-1mdk
- initial Mandriva package (PLD import)

